ubuntu/+source/libpam-mount:applied/ubuntu/intrepid

Last commit made on 2008-06-19
Get this branch:
git clone -b applied/ubuntu/intrepid https://git.launchpad.net/ubuntu/+source/libpam-mount
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/intrepid
Repository:
lp:ubuntu/+source/libpam-mount

Recent commits

4508559... by Bastian Kleineidam on 2008-06-17

Import patches-applied version 0.41-1 to applied/ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 8195bc69682e55880e7e4ebf4d134b9778a9e0b2
Unapplied parent: 875dfe5e7191bccf5788d7efd2e20768a3d72329

New changelog entries:
  * New upstream release.
    + Fixes wrong mount.crypt options in pam_mount.conf.xml. (Closes: #486599)

875dfe5... by Bastian Kleineidam on 2008-06-17

Import patches-unapplied version 0.41-1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 03a6ed160656d0f236168268045b77a71fabbfb9

New changelog entries:
  * New upstream release.
    + Fixes wrong mount.crypt options in pam_mount.conf.xml. (Closes: #486599)

8195bc6... by Bastian Kleineidam on 2008-06-10

Import patches-applied version 0.40-1 to applied/ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 75e160234031ecbaddc85d380eff748f374ad960
Unapplied parent: 03a6ed160656d0f236168268045b77a71fabbfb9

New changelog entries:
  * New upstream release.
    + Fixes segfault when more than one volume was defined, thus
      urgency medium. (Closes: #485620)
  * New patch 07_use_fsck_conf:
    Make configured fsck options available to mount.crypt via
    the FSCK environment variable.
    (Closes: #481366)
  * New patch 08_check_return_codes:
    Check error conditions of some init functions.
  * New patch 09_fix_umount_crypt
    Fix conditional expression syntax of umount.crypt.
  * Use Standards version 3.8.0
  * (Build-)Depend on libhx >= 0.18
  * Install pam_mount(8) and pam_mount.conf(5) manpages.

03a6ed1... by Bastian Kleineidam on 2008-06-10

Import patches-unapplied version 0.40-1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 5e60ab457dc9e33489d42ab80718c569e6041951

New changelog entries:
  * New upstream release.
    + Fixes segfault when more than one volume was defined, thus
      urgency medium. (Closes: #485620)
  * New patch 07_use_fsck_conf:
    Make configured fsck options available to mount.crypt via
    the FSCK environment variable.
    (Closes: #481366)
  * New patch 08_check_return_codes:
    Check error conditions of some init functions.
  * New patch 09_fix_umount_crypt
    Fix conditional expression syntax of umount.crypt.
  * Use Standards version 3.8.0
  * (Build-)Depend on libhx >= 0.18
  * Install pam_mount(8) and pam_mount.conf(5) manpages.

75e1602... by Bastian Kleineidam on 2008-05-28

Import patches-applied version 0.39-1 to applied/ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 18ee904c2552cb63265b863f38e039d6ff777087
Unapplied parent: 5e60ab457dc9e33489d42ab80718c569e6041951

New changelog entries:
  * New upstream release.
  * Use debhelper v7
  * Updated build dependencies to use libhx-dev >= 1.17

5e60ab4... by Bastian Kleineidam on 2008-05-28

Import patches-unapplied version 0.39-1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 94d33e37ea96b0976c3b2fc477202d2fe24db9de

New changelog entries:
  * New upstream release.
  * Use debhelper v7
  * Updated build dependencies to use libhx-dev >= 1.17

18ee904... by Bastian Kleineidam on 2008-05-18

Import patches-applied version 0.38-1 to applied/ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: b4a6af556d66205950fec865f7e769e49c61e9e5
Unapplied parent: 94d33e37ea96b0976c3b2fc477202d2fe24db9de

New changelog entries:
  * New upstream release.
  * Updated README.Debian file.
    + mention ordering of PAM modules using a mounted home directory
      (Closes: #481527)

94d33e3... by Bastian Kleineidam on 2008-05-18

Import patches-unapplied version 0.38-1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 6204b9bad12886b7c95bafeb69c5038fc1068f76

New changelog entries:
  * New upstream release.
  * Updated README.Debian file.
    + mention ordering of PAM modules using a mounted home directory
      (Closes: #481527)

b4a6af5... by Bastian Kleineidam on 2008-04-11

Import patches-applied version 0.35.1-1 to applied/ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 6050dc1354eb701d8212c12ac89dc5e2870ade77
Unapplied parent: 6204b9bad12886b7c95bafeb69c5038fc1068f76

New changelog entries:
  * New upstream release.
  * Pull upstream patch to fix autodetection of ssl support.
    (Closes: #475256)
  * New upstream release.
  * Build-Depend on libhx >= 1.15, needed for the new %(ifnempty...)
    configuration magic.
  * Remove unneeded zlib development library from build dependencies.
  * Added pmt-fd0ssh(1) manpage.
  * Properly escape minus signs in pam_mount(8) manpage. Fixes lintian
    warnings.
  * Override lintian warning patch-system-but-direct-changes-in-diff
    since pam_mount.txt is generated from pam_mount.8 which we modified.
  * Use debhelper v6 and dh_lintian.
  * New patch 11_check_ftruncate_err: check ftruncate() return value.
  * Avoid linking pmvarrun against unused libraries -lssl -lcrypto.
  * Fix loop mount logic error. Thanks Holger Brunn for the patch.
    (Closes: #470081)
  * New upstream release.
  * Use security flags for gcc invocations.
  * Upstream vcs is now git, so use Vcs-Git and adjust Vcs-Browser
    variables in debian/control.
  * Clarify that src/* files are LGPL licensed, all other files are GPL.

6204b9b... by Bastian Kleineidam on 2008-04-11

Import patches-unapplied version 0.35.1-1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: d90c629a2f78173280ea5c7e53bd03c3d4368652

New changelog entries:
  * New upstream release.
  * Pull upstream patch to fix autodetection of ssl support.
    (Closes: #475256)
  * New upstream release.
  * Build-Depend on libhx >= 1.15, needed for the new %(ifnempty...)
    configuration magic.
  * Remove unneeded zlib development library from build dependencies.
  * Added pmt-fd0ssh(1) manpage.
  * Properly escape minus signs in pam_mount(8) manpage. Fixes lintian
    warnings.
  * Override lintian warning patch-system-but-direct-changes-in-diff
    since pam_mount.txt is generated from pam_mount.8 which we modified.
  * Use debhelper v6 and dh_lintian.
  * New patch 11_check_ftruncate_err: check ftruncate() return value.
  * Avoid linking pmvarrun against unused libraries -lssl -lcrypto.
  * Fix loop mount logic error. Thanks Holger Brunn for the patch.
    (Closes: #470081)
  * New upstream release.
  * Use security flags for gcc invocations.
  * Upstream vcs is now git, so use Vcs-Git and adjust Vcs-Browser
    variables in debian/control.
  * Clarify that src/* files are LGPL licensed, all other files are GPL.